<script lang="ts">
import { defineComponent } from 'vue';
import JText from '@new-jira-clone/ui/src/components/shared/JText';

export default defineComponent({
  name: 'JFormControl',
  components: {
    JText,
  },
  props: {
    last: {
      type: Boolean,
      default: false,
    },
  },
});
</script>

<template>
  <div
    class="j-form-control"
    :class="{ last }"
  >
    <JText
      tag="div"
      weight="normal"
      type="text-2"
      color="third-text"
      class="j-form-input-label"
    >
      <slot name="label" />
    </JText>
    <div class="j-form-control-item">
      <slot />
    </div>
  </div>
</template>

<style lang="scss" scoped>
.j-form-control {
  position: relative;
  margin-bottom: 12px;

  &.last {
    margin-bottom: 24px;
  }
}

.j-form-input-label {
  display: block;
  margin-bottom: 4px;
}
</style>
